apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  creationTimestamp: "2021-07-07T15:26:53Z"
  generation: 1
  labels:
    app.kubernetes.io/instance: my-cluster
    app.kubernetes.io/managed-by: strimzi-cluster-operator
    app.kubernetes.io/name: zookeeper
    app.kubernetes.io/part-of: strimzi-my-cluster
    strimzi.io/cluster: my-cluster
    strimzi.io/kind: Kafka
    strimzi.io/name: strimzi
  name: my-cluster-network-policy-zookeeper
  namespace: kafka-cluster
  ownerReferences:
  - apiVersion: kafka.strimzi.io/v1beta1
    blockOwnerDeletion: false
    controller: false
    kind: Kafka
    name: my-cluster
    uid: dcd6b5b2-c18a-49df-a4ea-b6990c307f7f
  resourceVersion: "1020593"
  selfLink: /apis/networking.k8s.io/v1/namespaces/kafka-cluster/networkpolicies/my-cluster-network-policy-zookeeper
  uid: 53c7855e-5fc8-4eda-ae38-69954e02d072
spec:
  ingress:
  - from:
    - podSelector:
        matchLabels:
          strimzi.io/name: my-cluster-zookeeper
    ports:
    - port: 2888
      protocol: TCP
    - port: 3888
      protocol: TCP
  - from:
    - podSelector:
        matchLabels:
          strimzi.io/name: my-cluster-kafka
    - podSelector:
        matchLabels:
          strimzi.io/name: my-cluster-zookeeper
    - podSelector:
        matchLabels:
          strimzi.io/name: my-cluster-entity-operator
    - namespaceSelector:
        matchLabels:
          axa-cloud.com/namespace-name: kafka-amqstreams-dev-axa-ch
      podSelector:
        matchLabels:
          strimzi.io/kind: cluster-operator
    - podSelector:
        matchLabels:
          strimzi.io/name: my-cluster-cruise-control
    ports:
    - port: 2181
      protocol: TCP
  podSelector:
    matchLabels:
      strimzi.io/name: my-cluster-zookeeper
  policyTypes:
  - Ingress
